post
https://api.pushpay.com/v1/merchant//webhooks
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Below are the webhook types:
- Changes in anticipated payments status
anticipated_payment_status_changed - When new payments are made to a merchant
payment_created - When the status of a payment made to a merchant has changed
payment_status_changed - When a recurring payment made to a merchant has changed
recurring_payment_changed - When new recurring payments are made to a merchant
recurring_payment_created
Body
{
"target": "http://widgets.com/payment/statuschange",
"eventTypes": [
"anticipated_payment_status_changed"
]
}Response
{
"target": "http://widgets.com/payment/statuschange",
"eventTypes": [
"anticipated_payment_status_changed"
],
"_links": {
"self": {
"href": "https://api.pushpay.com/v1/merchant/MTIzOkRUclhHb1Jtc24tX3NKMGxjZzJ3cUJqb1ZlTQ/webhook/FGS7rjGWr02KN8d4AGIRMw"
},
"merchant": {
"href": "https://api.pushpay.com/v1/merchant/MTIzOkRUclhHb1Jtc24tX3NKMGxjZzJ3cUJqb1ZlTQ"
}
}
} 201Request was successful
400The server will not process the request due to a client error
401Request failed because the client was not authorized to perform this action
429Request was throttled due to too many requests from this client or IP address
